package com.qmth.jkserver.model;

//import java.io.Serializable;
//import java.util.Date;
//import org.springframework.data.annotation.Id;
//import org.springframework.data.mongodb.core.index.CompoundIndex;
//import org.springframework.data.mongodb.core.index.CompoundIndexes;
//import org.springframework.data.mongodb.core.index.Indexed;
//import org.springframework.data.mongodb.core.mapping.Document;
//import org.springframework.data.mongodb.core.mapping.Field;
//
///**
// * 考点考场表
// * @author tianjun
// *
// */
//
//@Document(collection = "jk_exam_room_address")
//@CompoundIndexes({ @CompoundIndex(name = "jk_exam_room_address_idx", def = "{'exam_code':1,'place_code': 1, 'room_code': 1}") })
//public class ExamRoomAddress implements Serializable {
//
//	/**
//	 *
//	 */
//	private static final long serialVersionUID = 7865645107596340752L;
//
//	@Id
//	private String id;
//
//	@Indexed
//	@Field("exam_code")
//	private String examCode;
//
//	//临时文件ID
//	@Field("attachment_id")
//	private String attachmentId;
//
//	@Field("place_code")
//	private String placeCode;
//
//	@Field("place_name")
//	private String placeName;
//
//	@Field("room_code")
//	private String roomCode;
//
//	@Field("room_name")
//	private String roomName;
//
//	@Field("province")
//	private String province;
//
//	@Field("city")
//	private String city;
//
//	@Field("area")
//	private String area;
//
//	/**
//	 * 创建时间
//	 */
//	@Field("create_time")
//	private Date createTime;
//
//	public ExamRoomAddress(){};
//
//	public ExamRoomAddress(ExamRoomAddressTemp temp){
//		setExamCode(temp.getExamCode());
//		setPlaceCode(temp.getPlaceCode());
//		setPlaceName(temp.getPlaceName());
//		setAttachmentId(temp.getAttachmentId());
//		setRoomCode(temp.getRoomCode());
//		setRoomName(temp.getRoomName());
//		setCreateTime(temp.getCreateTime());
//		setProvince(temp.getProvince());
//		setCity(temp.getCity());
//		setArea(temp.getArea());
//	}
//
//	/**
//	 * @return the attachmentId
//	 */
//	public String getAttachmentId() {
//		return attachmentId;
//	}
//
//	/**
//	 * @param attachmentId the attachmentId to set
//	 */
//	public void setAttachmentId(String attachmentId) {
//		this.attachmentId = attachmentId;
//	}
//
//	/**
//	 * @return the id
//	 */
//	public String getId() {
//		return id;
//	}
//
//	/**
//	 * @param id the id to set
//	 */
//	public void setId(String id) {
//		this.id = id;
//	}
//
//	/**
//	 * @return the examCode
//	 */
//	public String getExamCode() {
//		return examCode;
//	}
//
//	/**
//	 * @param examCode the examCode to set
//	 */
//	public void setExamCode(String examCode) {
//		this.examCode = examCode;
//	}
//
//	/**
//	 * @return the placeCode
//	 */
//	public String getPlaceCode() {
//		return placeCode;
//	}
//
//	/**
//	 * @param placeCode the placeCode to set
//	 */
//	public void setPlaceCode(String placeCode) {
//		this.placeCode = placeCode;
//	}
//
//	/**
//	 * @return the placeName
//	 */
//	public String getPlaceName() {
//		return placeName;
//	}
//
//	/**
//	 * @param placeName the placeName to set
//	 */
//	public void setPlaceName(String placeName) {
//		this.placeName = placeName;
//	}
//
//	/**
//	 * @return the roomCode
//	 */
//	public String getRoomCode() {
//		return roomCode;
//	}
//
//	/**
//	 * @param roomCode the roomCode to set
//	 */
//	public void setRoomCode(String roomCode) {
//		this.roomCode = roomCode;
//	}
//
//	/**
//	 * @return the roomName
//	 */
//	public String getRoomName() {
//		return roomName;
//	}
//
//	/**
//	 * @param roomName the roomName to set
//	 */
//	public void setRoomName(String roomName) {
//		this.roomName = roomName;
//	}
//
//	/**
//	 * @return the province
//	 */
//	public String getProvince() {
//		return province;
//	}
//
//	/**
//	 * @param province the province to set
//	 */
//	public void setProvince(String province) {
//		this.province = province;
//	}
//
//	/**
//	 * @return the city
//	 */
//	public String getCity() {
//		return city;
//	}
//
//	/**
//	 * @param city the city to set
//	 */
//	public void setCity(String city) {
//		this.city = city;
//	}
//
//	/**
//	 * @return the area
//	 */
//	public String getArea() {
//		return area;
//	}
//
//	/**
//	 * @param area the area to set
//	 */
//	public void setArea(String area) {
//		this.area = area;
//	}
//
//	/**
//	 * @return the createTime
//	 */
//	public Date getCreateTime() {
//		return createTime;
//	}
//
//	/**
//	 * @param createTime the createTime to set
//	 */
//	public void setCreateTime(Date createTime) {
//		this.createTime = createTime;
//	}
//}

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.jkserver.constant.SystemConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 考点考场地址表
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@ApiModel(value = "JkExamRoomAddress对象", description = "考点考场地址表")
@TableName("jk_exam_room_address")
public class ExamRoomAddress implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "考试编码")
    private String examCode;

    @ApiModelProperty(value = "临时文件ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long attachmentId;

    @ApiModelProperty(value = "地方编码")
    private String placeCode;

    @ApiModelProperty(value = "地方名称")
    private String placeName;

    @ApiModelProperty(value = "考场编码")
    private String roomCode;

    @ApiModelProperty(value = "考场名称")
    private String roomName;

    @ApiModelProperty(value = "省份")
    private String province;

    @ApiModelProperty(value = "城市")
    private String city;

    @ApiModelProperty(value = "地区")
    private String area;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    public ExamRoomAddress() {
    }

    public ExamRoomAddress(ExamRoomAddressTemp temp) {
        this.id = SystemConstant.getDbUuid();
        setExamCode(temp.getExamCode());
        setPlaceCode(temp.getPlaceCode());
        setPlaceName(temp.getPlaceName());
        setAttachmentId(temp.getAttachmentId());
        setRoomCode(temp.getRoomCode());
        setRoomName(temp.getRoomName());
        setCreateTime(temp.getCreateTime());
        setProvince(temp.getProvince());
        setCity(temp.getCity());
        setArea(temp.getArea());
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public Long getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(Long attachmentId) {
        this.attachmentId = attachmentId;
    }

    public String getPlaceCode() {
        return placeCode;
    }

    public void setPlaceCode(String placeCode) {
        this.placeCode = placeCode;
    }

    public String getPlaceName() {
        return placeName;
    }

    public void setPlaceName(String placeName) {
        this.placeName = placeName;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
}
